Skip to main content

Train PVC Voice

POST 

https://api.knoxstudio.ai/v1/voices/pvc/:voice_id/train

Optional model_id must be a TTS model if set. Not billed.

Request​

Path Parameters​

NameTypeRequiredDescription
voice_idStringYesVoice ID.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.
Content-TypeStringYesapplication/json

Request Body​

NameTypeRequiredDescription
model_idStringNoTTS model used for training, for example eleven_multilingual_v2.

cURL Example​

curl -X POST https://api.knoxstudio.ai/v1/voices/pvc/voice_id/train \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model_id":"eleven_multilingual_v2"}'

Response​

Success Response (200)​

Training status JSON.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.